"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processElement = void 0;
const html_validate_1 = require("html-validate");
function isBound(node) {
    return (node.hasAttribute("ng-bind") ||
        node.hasAttribute("ng-bind-html") ||
        node.hasAttribute("ng-bind-template") ||
        node.hasAttribute("translate"));
}
function isTranscluded(node) {
    return node.is("ng-transclude") || node.hasAttribute("ng-transclude");
}
function isPluralize(node) {
    return node.is("ng-pluralize") || node.hasAttribute("ng-pluralize");
}
function processElement(node) {
    if (isBound(node) || isTranscluded(node) || isPluralize(node)) {
        node.appendText(new html_validate_1.DynamicValue(""));
    }
}
exports.processElement = processElement;
