"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const html_validate_1 = require("html-validate");
const element_1 = require("./element");
it("should add dynamic text when ng-bind is present", () => {
    expect.assertions(1);
    const node = new html_validate_1.HtmlElement("foo");
    node.setAttribute("ng-bind", "bar", null, null);
    element_1.processElement(node);
    expect(node.childNodes).toEqual([expect.any(html_validate_1.TextNode)]);
});
it("should add dynamic text when ng-bind-html is present", () => {
    expect.assertions(1);
    const node = new html_validate_1.HtmlElement("foo");
    node.setAttribute("ng-bind-html", "bar", null, null);
    element_1.processElement(node);
    expect(node.childNodes).toEqual([expect.any(html_validate_1.TextNode)]);
});
it("should add dynamic text when ng-bind-template is present", () => {
    expect.assertions(1);
    const node = new html_validate_1.HtmlElement("foo");
    node.setAttribute("ng-bind-template", "bar", null, null);
    element_1.processElement(node);
    expect(node.childNodes).toEqual([expect.any(html_validate_1.TextNode)]);
});
it("should add dynamic text when translate is present", () => {
    expect.assertions(1);
    const node = new html_validate_1.HtmlElement("foo");
    node.setAttribute("translate", "bar", null, null);
    element_1.processElement(node);
    expect(node.childNodes).toEqual([expect.any(html_validate_1.TextNode)]);
});
it("should add dynamic text when ng-transclude is present", () => {
    expect.assertions(1);
    const node = new html_validate_1.HtmlElement("foo");
    node.setAttribute("ng-transclude", "bar", null, null);
    element_1.processElement(node);
    expect(node.childNodes).toEqual([expect.any(html_validate_1.TextNode)]);
});
it("should add dynamic text when node is <ng-transclude>", () => {
    expect.assertions(1);
    const node = new html_validate_1.HtmlElement("ng-transclude");
    element_1.processElement(node);
    expect(node.childNodes).toEqual([expect.any(html_validate_1.TextNode)]);
});
it("should add dynamic text when ng-pluralize is present", () => {
    expect.assertions(1);
    const node = new html_validate_1.HtmlElement("foo");
    node.setAttribute("ng-pluralize", "bar", null, null);
    element_1.processElement(node);
    expect(node.childNodes).toEqual([expect.any(html_validate_1.TextNode)]);
});
it("should add dynamic text when node is <ng-pluralize>", () => {
    expect.assertions(1);
    const node = new html_validate_1.HtmlElement("ng-pluralize");
    element_1.processElement(node);
    expect(node.childNodes).toEqual([expect.any(html_validate_1.TextNode)]);
});
it("should not add dynamic text if no dynamic content attribute is present", () => {
    expect.assertions(1);
    const node = new html_validate_1.HtmlElement("foo");
    element_1.processElement(node);
    expect(node.childNodes).toEqual([]);
});
