"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.angularTransformHTML = exports.angularTransformJS = void 0;
const html_validate_1 = require("html-validate");
const attribute_1 = require("./attribute");
const element_1 = require("./element");
const utils_1 = require("./utils");
function transform(source) {
    return Object.assign(Object.assign({}, source), { data: utils_1.stripTemplating(source.data), originalData: source.data, hooks: {
            processAttribute: attribute_1.processAttribute,
            processElement: element_1.processElement,
        } });
}
function angularTransformJS(source) {
    const te = html_validate_1.TemplateExtractor.fromString(source.data, source.filename);
    const sources = te.extractObjectProperty("template");
    return sources.map(transform);
}
exports.angularTransformJS = angularTransformJS;
function angularTransformHTML(source) {
    return [transform(source)];
}
exports.angularTransformHTML = angularTransformHTML;
angularTransformJS.api = 1;
angularTransformHTML.api = 1;
